#测试环境
server:
  port: 8888
  compression:
    enabled: true
    mime-types: application/json
spring:
  mvc:
    pathmatch:
      matching-strategy: ant_path_matcher
  application:
    # 应用名称
    name: m2pool-lease
  #  profiles:
  #    # 环境配置
  #    active: test
  cloud:
    nacos:
      discovery:
        # 服务注册地址
        server-addr: 127.0.0.1:8808
        namespace: m2_test
        group: m2_test_group
      #        server-addr: 127.0.0.1:8808
      config:
        # 配置中心地址
        server-addr: 127.0.0.1:8808
        #        server-addr: 127.0.0.1:8808
        # 配置文件格式
        file-extension: yml
        # 共享配置
        shared-configs:
          - application-${spring.profiles.active}.${spring.cloud.nacos.config.file-extension}
        namespace: m2_test
        group: m2_test_group
  servlet:
    multipart:
      max-file-size: 2MB
      max-request-size: 8MB
file:
  domain: https://test.m2pool.com
  path: /var/www/html/web_test
  #  img: /img
  filepath: /home/ubuntu/web
  prefix: /statics

client:
  # 客户端安装包
  download:
    client:
      windows: /home/ubuntu/web/client/windows
      linux: /home/ubuntu/web/client/linux
    # 客户端版本号文件名
    version: version

netty:
  tcp:
    client:
      port: 2345
